import React from "react";
import { View, Text } from "react-native";
import { getPosts, Post } from "../util/api";
import { PostView } from "./PostView";
import { style } from "../util/style";

export function PostsContainer(): JSX.Element {
  const [posts, setPosts] = React.useState<Post[]>([]);

  React.useEffect(() => {
    async function fetchPosts(): Promise<void> {
      const posts = await getPosts();
      setPosts(posts);
    }
    fetchPosts();
  }, []);

  return (
    <View style={style.postsContainer}>
      <Text>Hello World!</Text>
      {posts.map((post) => (
        <PostView key={post.id} post={post} />
      ))}
    </View>
  );
}