import { StyleSheet } from 'react-native';

const colorScheme = {
  background: "#273043",
  postBox: "#9197AE",
  postFont: "#EFF6EE",
  accept: "#4D8B31",
  error: "#F02D3A"
}

export const style = StyleSheet.create({
  app: { // Outermost container
    flex: 1,
    backgroundColor: colorScheme.background, // For the "entire" app
    alignItems: 'center',
    justifyContent: 'center',
  },
  postsContainer: {
    height: '100%',
    padding: 5,
    flex: 1,
    alignItems: 'center',
    justifyContent: 'flex-start',
    backgroundColor: colorScheme.background, // For the container holding the posts
  },
  postView: {
    flexDirection: "row",
    backgroundColor: colorScheme.postBox,
    paddingVertical: 5,
  },
  postFont: {
    color: colorScheme.postFont,
  },
});